package ru.amse.cat.evlarchick.textstructure;

import ru.amse.cat.evlarchick.textstructure.ISegment;

import java.io.Reader;
import java.util.List;
import java.util.Iterator;

public interface ITextInfo {

    public abstract Reader getReader();

    public abstract List<ISegment> getSegments();

    public abstract List<ISegment> getDeadZones();

    public abstract void addDeadZone(ISegment current);

    public abstract void addSegment(ISegment current);

    public abstract int getSegmentIndexByTextPosition(int index);

    public abstract void clear();

    public abstract int getDeadZoneIndexByTextPosition(int index);

    public abstract List<ISegment> getCommonSegmentsList();
}
